## NMObject NMObject |

## Synopsis

    #define             NM_OBJECT_DBUS_CONNECTION
    #define             NM_OBJECT_DBUS_PATH
                        NMObject;
    DBusGConnection *   nm_object_get_connection            (NMObject *object);
    const char *        nm_object_get_path                  (NMObject *object);

## Object Hierarchy

      GObject
       +----NMObject
             +----NMClient
             +----NMDevice
             +----NMAccessPoint
             +----NMIP4Config
             +----NMActiveConnection
             +----NMDHCP4Config
             +----NMIP6Config
             +----NMDHCP6Config

## Properties

      "dbus-connection"          DBusGConnection*      : Read / Write / Construct Only
      "dbus-path"                gchar*                : Read / Write / Construct Only

## Description

## Details

### NM_OBJECT_DBUS_CONNECTION

    #define NM_OBJECT_DBUS_CONNECTION "dbus-connection"

### NM_OBJECT_DBUS_PATH

    #define NM_OBJECT_DBUS_PATH "dbus-path"

### NMObject

    typedef struct _NMObject NMObject;

### nm_object_get_connection ()

    DBusGConnection *   nm_object_get_connection            (NMObject *object);

Gets the NMObject's DBusGConnection.

`object` : | a NMObject
Returns : | the connection

### nm_object_get_path ()

    const char *        nm_object_get_path                  (NMObject *object);

Gets the DBus path of the NMObject.

`object` : | a NMObject
Returns : | the object's path. This is the internal string used by the device, and must not be modified.

## Property Details

### The `"dbus-connection"` property

      "dbus-connection"          DBusGConnection*      : Read / Write / Construct Only

Connection.

### The `"dbus-path"` property

      "dbus-path"                gchar*                : Read / Write / Construct Only

DBus Object Path.

Default value: NULL